
	   
<script src="js/jquery.js"></script>

<script type="text/jscript">
function Valtext(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = " áéíóúabcdefghijklmnñopqrstuvwxyz";
    especiales = [8, 37, 39, 46];

    tecla_especial = false
    for(var i in especiales) {
        if(key == especiales[i]) {
            tecla_especial = true;
            break;
        }
    }

    if(letras.indexOf(tecla) == -1 && !tecla_especial)
        return false;
}

function ValNumero(e) {
    key = e.keyCode || e.which;
    tecla = String.fromCharCode(key).toLowerCase();
    letras = "0123456789";
    especiales = [8, 37, 39, 46];

    tecla_especial = false
    for(var i in especiales) {
        if(key == especiales[i]) {
            tecla_especial = true;
            break;
        }
    }

    if(letras.indexOf(tecla) == -1 && !tecla_especial)
        return false;
}


$(document).ready(function(){
		$("#num_fac").blur(function(){
			$.post("miarchivo2.php", {"num_fac":$("#num_fac").val(), "nombre_proveedor":$("#nombre_proveedor").val() }, function(data){
				if(data.num_fac){
				$("#num_fac").val("");
				$("#num_fac").focus();
				alert("Factura ya fue porcesada");	
				}
			},"json");
		});
	});

</script>

<link rel="stylesheet" type="text/css" href="styles/jquery-ui-1.10.3.custom.css">
<link rel="stylesheet" type="text/css" href="styles/jquery.dataTables.css">
<script src="scripts/functions.js"></script>
<script src="scripts/prefixfree.min.js"></script>
<script src="scripts/jquery.dataTables.js"></script>
<script src="scripts/jquery-ui-1.10.3.custom.js"></script>
<style>
#primero {
    width: 55%;
    float: left;
    height: 600px;
	padding: 2px;
	font-size:10px;
	border:#000;
	border-style:solid; 
}

#segundo {
    width: 45%;
    float: right;
    height: 600px;
	padding: 2px;
	overflow-y: auto;  
	border:#000;
	border-style:solid;
	z-index:-1;
}
</style>


<?php
	error_reporting(E_ALL ^ E_NOTICE);
	require_once ("config/db.php");
	require_once ("config/conexion.php");
	session_start();
	if (!isset($_SESSION['user_login_status']) AND $_SESSION['user_login_status'] != 1) {
        header("location: login.php");
		exit;
        }
	$active_facturas="";
	$active_compras="";
	$active_productos="";
	$active_proveedors="";
	$active_usuarios="";	
	$active_adquisiciones="active";	
	$title="Editar Compra | ".NOMBRE_EMPRESA;
	
	
	if (isset($_GET['id_compra']))
	{
		$id_compra=intval($_GET['id_compra']);
		
		$campos="proveedores.id_pro, proveedores.nombre_proveedor, proveedores.telefono_proveedor, proveedores.correo_proveedor, compras.fecha, compras.numero_fact";
		$sql_compra=mysqli_query($con,"select $campos from compras, proveedores where compras.proveedor=proveedores.id_pro and id_compra='".$id_compra."'");
		
		$query_debe=mysqli_query($con,"select por_pagar from compras where id_compra='$id_compra'");
		$res_debe=mysqli_fetch_array($query_debe);
		$debe=$res_debe['por_pagar'];
		
		$count=mysqli_num_rows($sql_compra);
		if ($count==1)
		{
				$rw_compra=mysqli_fetch_array($sql_compra);
				$id_proveedor=$rw_compra['id_pro'];
				$nombre_proveedor=$rw_compra['nombre_proveedor'];
				$telefono_proveedor=$rw_compra['telefono_proveedor'];
				$email_proveedor=$rw_compra['correo_proveedor'];
				$fecha_compra=date("d/m/Y", strtotime($rw_compra['fecha']));
				$numero_compra=$rw_compra['numero_fact'];
				$_SESSION['id_proveedor']=$id_proveedor;
				$_SESSION['id_compra']=$id_compra;
				$_SESSION['numero_compra']=$numero_compra;
		}	
		else
		{
			header("location: adquisiciones.php");
			exit;	
		}
	} 
	else 
	{
		header("location: adquisiciones.php");
		exit;
	}
?>
<!DOCTYPE html>
<html lang="en">
	<head>
    	<?php include("head.php");?>
  	</head>
  	<body>
		<?php include("navbar.php");?>  
    	<div class="container" style="width:99%">
			<div class="panel panel-info">
				<div class="panel-heading">
					<?php if($debe==0){?><h4><i class='glyphicon glyphicon-eye-open'></i> VER DETALLE COMPRA</h4><?php }
					else{?><h4><i class='glyphicon glyphicon-edit'></i> EDITAR COMPRA</h4><?php }?>
				</div>
				<div class="panel-body">
					<?php 
					include("modal/registro_proveedores.php");
					include("modal/registro_productos.php");
					?>
					<form class="form-horizontal" role="form" id="datos_compra">
					<div class="table-responsive">
				<table width="100%" class="table">
                <tr>
                <td>
                	<h4 style="font-size:12px;">Nº FACTURA:</h4>
                </td>
                <td width="25%">
					<input type="text" class="form-control input-sm" id="num_fac" name="num_fac" required onKeyPress="return ValNumero(event)" placeholder="Solo Numeros" value="<?php echo $numero_compra;?>" <?php if($debe==0){ ?>readonly <?php }?>>
                    <div id="result-num_fac"></div>
                </td>
                <td width="25%">
                <?php
						$id_comprador=$_SESSION['user_id'];
						$sql_comprador=mysqli_query($con,"select * from users where user_id=$id_comprador");
						while ($rw=mysqli_fetch_array($sql_comprador))
						{
								$nombre_comprador=$rw["firstname"]." ".$rw["lastname"];
							
						}
 						?>
                       	<h4 style="font-size:12px;">Encargado Compras: <?php echo $nombre_comprador;?></h4>
						<input type="hidden" id="nombre_encargado" name="nombre_encargado" value="<?php echo $nombre_comprador?>">
						<input type="hidden" class="form-control input-sm" id="id_encargado" name="id_encargado" value="<?php echo $id_comprador?>">
               
                </td>
                <td>
                <h4 style="font-size:12px;">FECHA: <?php echo $fecha_compra;?></h4>
                <input type="hidden" class="form-control input-sm" id="fecha" name="fecha" value="<?php echo $fecha_compra;?>" readonly>
				</td>
                <td width="50%"></td>
                </tr>
                <tr>
                <td>
                	<h4 style="font-size:12px;">PROVEEDOR: </h4>
                </td>
                <td width="25%">
                	<input type="text" class="form-control input-sm" id="nombre_proveedor" placeholder="Selecciona un proveedor" required value="<?php echo $nombre_proveedor;?>" <?php if($debe==0){ ?>readonly <?php }?>>
					  		<input id="id_proveedor" name="id_proveedor" type='hidden' value="<?php echo $id_proveedor;?>">	
	                
                </td>
                <?php if($debe>0){?>
                <td width="25%">
                	<button type="button" class="btn btn-default" data-toggle="modal" data-target="#nuevoProveedor">
						 <span class="glyphicon glyphicon-user"></span> Nuevo proveedor
					</button>
	            </td>
                <td>
                	<button type="button" class="btn btn-default" data-toggle="modal" data-target="#nuevoProducto">
						 <span class="glyphicon glyphicon-plus"></span> Nuevo producto
					</button>
                </td>    
                	
                <td colspan="50%" class='text-center'>
                 <div class="pull-right">
						<div class="col-md-12">
							<button type="submit" class="btn btn-default">
								<span class="glyphicon glyphicon-print"></span> Actualizar Compra
						</button>
						</div>	
					</div>		
                </td>
                <?php }?>
                </tr>
                </table>
				</div>
            
            
			</form>	
                 <?php if($debe>0){ ?>   
                 <div id="primero">
                	<div class="modal-header" style="margin-top:-15px;">
						<h4 class="modal-title" style="font-size:14px;">BUSCAR PRODUCTOS</h4>
					</div>
					<div class="modal-body">
						<form class="form-horizontal">
							<div class="form-group">
								<div class="col-sm-5">
                		    		<input type="text" class="form-control" id="q" placeholder="Buscar por Nombre" onKeyUp="load(1)">
								</div>
								<div class="col-sm-3">
                		    		<select class="form-control" id="rub" name="rub" onchange='load(1);'/>
	 			          			<option value="">---Rubros---</option>
						  			<?php 
              						$count_query= mysqli_query($con, "SELECT * FROM `products` GROUP BY `tipo_producto`");
		     						while($dato= mysqli_fetch_array($count_query))
									{
			 							$rubro=$dato['tipo_producto'];
			  							?>
                  						<option value="<?php echo $rubro; ?>"><?php echo $rubro; ?></option>
                  					<?php 
									}	 
						  			?>
                          			</select> 
								</div>
								<div class="col-sm-4">
                		    	<select class="form-control" id="marcas" name="marcas" onchange='load(1);'/>
	 			          			<option value="">---Marcas---</option>
						  			<?php 
              						$count_query= mysqli_query($con, "SELECT * FROM `marcas`");
		     						while($dato= mysqli_fetch_array($count_query))
									{
			 							$marcas=$dato['marca'];
			  						?>
                  						<option value="<?php echo $marcas; ?>"><?php echo $marcas; ?></option>
                  					<?php 
									} 
						  			?>
                          			</select> 
								</div>
							</div>
						</form>
						<div class="outer_div" ></div><!-- Datos ajax Final -->
					</div>
            	</div>
            	 <?php }?>
                 <?php if($debe==0){?>
                 <div id="primero">
                 <?php }else{?>
                 <div id="segundo">
             	<?php }?>
    	        	<div class="clearfix">
        	   		</div>
            		<br>
					<br>
					<h4 align="center" style="font-size:12px; font-weight:bold;">DETALLE DE FACTURA</h4>
 					<div class="editar_compra col-md-12" style="margin-top:10px"></div>
					<div id="resultados" class='col-md-12' style="margin-top:10px"></div>
                    
			</div>
      </div>		
</div>
<hr>
<?php
include("footer.php");
	?>
	<script type="text/javascript" src="js/VentanaCentrada.js"></script>
	<script type="text/javascript" src="js/editar_compra.js?v=1.1"></script>
	<link rel="stylesheet" href="js/jquery-ui-1.11.4/jquery-uitheme.css">
    <script src="js/jquery-ui-1.11.4/jquery-ui.js"></script>
	<script>
		$(function() {
						$("#nombre_proveedor").autocomplete({
							source: "./ajax/autocomplete/proveedores.php",
							minLength: 2,
							select: function(event, ui) {
								event.preventDefault();
								$('#id_proveedor').val(ui.item.id_pro);
								$('#nombre_proveedor').val(ui.item.nombre_proveedor);
								$('#tel1').val(ui.item.telefono_proveedor);
								$('#mail').val(ui.item.correo_proveedor);
																
								
							 }
						});
						 
						
					});
					
	$("#nombre_proveedor" ).on( "keydown", function( event ) {
						if (event.keyCode== $.ui.keyCode.LEFT || event.keyCode== $.ui.keyCode.RIGHT || event.keyCode== $.ui.keyCode.UP || event.keyCode== $.ui.keyCode.DOWN || event.keyCode== $.ui.keyCode.DELETE || event.keyCode== $.ui.keyCode.BACKSPACE )
						{
							$("#id_proveedor" ).val("");
							$("#tel1" ).val("");
							$("#mail" ).val("");
											
						}
						if (event.keyCode==$.ui.keyCode.DELETE){
							$("#nombre_proveedor" ).val("");
							$("#id_proveedor" ).val("");
							$("#tel1" ).val("");
							$("#mail" ).val("");
						}
			});	
	</script>

  </body>
</html>